https://appwrite.io/v1/teams/{teamId}/memberships/{membershipId}/statusUse this endpoint to allow a user to accept an invitation to join a team after being redirected back to your app from the invitation email recieved by the user.
Team unique ID.
Membership ID.
Secret key.
User unique ID.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'https://appwrite.io/v1/teams/{teamId}/memberships/{membershipId}/status' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://appwrite.io/v1/teams/{teamId}/memberships/{membershipId}/statusUse this endpoint to allow a user to accept an invitation to join a team after being redirected back to your app from the invitation email recieved by the user.
Team unique ID.
Membership ID.
Secret key.
User unique ID.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'https://appwrite.io/v1/teams/{teamId}/memberships/{membershipId}/status' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}